(function (global) {
  var
  lastScore = $("#welcome .last-score .val"),
  bestScore = $("#welcome .best-score .val"),
  gameDiv = $("#game");

  var showScore = function () {
    var
    last = localStorage.getItem("last-score"),
    best = localStorage.getItem("best-score");

    if (last && best) {
      lastScore.html(last);
      bestScore.html(best);
    }
  };

  showScore();

  $("#start-game").on("click", function () {
    gameDiv.html("");
    gameDiv.fadeIn(100);

    setTimeout(function () {
      gameDiv.html("3");
    }, 100);
    setTimeout(function () {
      gameDiv.html("2");
    }, 1100);
    setTimeout(function () {
      gameDiv.html("1");
    }, 2100);
    setTimeout(function () {
      gameDiv.html("GO");
    }, 3100);
    setTimeout(function () {
      gameDiv.html("");

      var
      time,
      circle = $('<div class="circle"></div>'),
      w = window.innerWidth, h = window.innerHeight, s = 100;

      circle.css({
        top: Math.random() * (h - s),
        left: Math.random() * (w - s)
      });

      circle.on("click", function () {
        var dTime = (Date.now() - time) / 1000, mark = 5;

        if (dTime <= 0.5) { mark = 1; }
        else if (dTime <= 1) { mark = 2; }
        else if (dTime <= 1.5) { mark = 3; }
        else if (dTime <= 2) { mark = 4; }

        localStorage.setItem("last-score", mark);

        var best = localStorage.getItem("best-score");
        if (!best || mark < best) {
          localStorage.setItem("best-score", mark);
        }

        showScore();

        gameDiv.fadeOut(100);
      });

      setTimeout(function () {
        time = Date.now();
        gameDiv.append(circle);
      }, 100 + Math.random() * 4900);
    }, 4100);
  });
}(this));
