(function (global) {
  var
  hours = $("#hours"),
  hoursHandle = hours.find("img"),
  minutes = $("#minutes"),
  minutesHandle = minutes.find("img"),
  seconds = $("#seconds"),
  currentTime = $("#time .current-time"),
  timeInput = $("#time-input"),
  timeSubmit = $("#time-submit"),
  timeServer = $("#time-server"),
  date = new Date(),
  hrs = date.getHours(), min = date.getMinutes(), sec = date.getSeconds();

  $.fn.rotate = function (deg) {
    this.css({
      transform: "rotate(" + deg + "deg)",
      mozTransform: "rotate(" + deg + "deg)",
      webkitTransform: "rotate(" + deg + "deg)"
    });
  };
  Number.prototype.two = function () {
    return this > 9 ? this : "0" + this;
  };

  timeInput.val(hrs.two() + ":" + min.two() + ":" + sec.two());

  var shake = function () {
    var body = $(document.body);
    for (var i = 0; i < 9; ++i) {
      body.animate({
        marginTop: (Math.random() - 0.5) * 100,
        marginLeft: (Math.random() - 0.5) * 100
      }, 100);
    }

    body.animate({
      marginTop: 0,
      marginLeft: 0
    }, 100);
  };

  var show = function () {
    hours.rotate((hrs % 12 + min / 60 + sec / 3600) * 360 / 12 - 90);
    minutes.rotate((min + sec / 60) * 360 / 60 - 90);
    seconds.rotate(sec * 360 / 60 - 90);
  };
  var run = function () {
    show();

    if (min === 0 && sec === 0) {
      shake();
    }

    currentTime.html(hrs.two() + ":" + min.two() + ":" + sec.two());

    if (sec === 59) {
      sec = 0;
      if (min === 59) {
        min = 0;
        if (hrs === 23) {
          hrs = 0;
        }
        else {
          ++hrs;
        }
      }
      else {
        ++min;
      }
    }
    else {
      ++sec;
    }
  };

  run();
  var inter = window.setInterval(run, 1000);

  timeSubmit.on("click", function () {
    var data = timeInput.val().split(":");
    if (data.length === 3) {
      var h = parseInt(data[0], 10), m = parseInt(data[1], 10), s = parseInt(data[2], 10);

      if (h === h && m === m && s === s && h >= 0 && h < 24 && m >= 0 && m <= 59 && s >= 0 && s <= 59) {
        window.clearInterval(inter);

        hrs = h;
        min = m;
        sec = s;

        run();
        inter = window.setInterval(run, 1000);
      }
      else {
        alert("Neplatné hodnoty!");
      }
    }
    else {
      alert("Neplatný vstup!");
    }
  });

  timeServer.on("click", function () {
    $.getJSON("http://time.jsontest.com", function (data) {
      var
      timestamp = data.milliseconds_since_epoch,
      d = new Date(timestamp);

      timeInput.val(d.getHours().two() + ":" + d.getMinutes().two() + ":" + d.getSeconds().two());
      timeSubmit.click();
    });
  });

  var
  centerX = $("#clock .offset").offset().left,
  centerY = $("#clock .offset").offset().top,
  hoursStart = null;

  hoursHandle.on("mousedown", function (e) {
    e.preventDefault();
//    window.clearInterval(inter);
//    inter = null;

//    hoursStart = Math.atan2(e.pageY - centerY, e.pageX - centerX);
  });
  $(document).on("mousemove", function (e) {
    e.preventDefault();
    if (hoursStart !== null) {
      var angle = Math.atan2(e.pageY - centerY, e.pageX - centerX), deg = angle * 180 / Math.PI;
      hours.rotate(deg);

      deg = (-deg + 270) % 360;

      hrs = Math.floor(deg / 30);
    }
  });
  $(document).on("mouseup", function (e) {
    hoursStart = null;

    if (inter === null) {
      inter = window.setInterval(run, 1000);
    }
  });
}(this));
